/* 
 *========================================================================
 * 
 * Copyright 2001-2004 Vincent Massol & Matt Smith.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express orimplied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * 
 *========================================================================
 */
package patterntesting.tool.aspectj;

/**
 * XML constants for outputting the Ajc results in XML.
 *
 * @author <a href="mailto:vmassol@apache.org">Vincent Massol</a>
 *
 * @version $Id: XMLConstants.java,v 1.1 2008/12/07 14:13:55 oboehm Exp $
 *
 * @see XMLFormatter
 */
public interface XMLConstants
{
    /**
     * Root element for all errors.
     */
    String ROOT = "patterntesting";
    
    /**
     * Patterntesting 
     */
    String PATTERNTESTING_REPORT = "patterntesting-report";
    
    /**
     * Patterntesting Runtime
     */
    String PATTERNTESTING_RUNTIME = "patterntesting-runtime";
    
    /**
     * All errors in a given file.
     */
    String FILE = "file";

    /**
     * File attribute.
     */
    String ATTR_NAME = "name";

    /**
     * A single warning in a given file.
     */
    String WARNING = "warning";
    
    /**
     * A single error in a given file.
     */
    String ERROR = "error";
    
    /**
     * Line attribute (where the error ocurred).
     */
    String ATTR_LINE = "line";
}